# NativeAppFee

## Function: NativeAppFee()

> **NativeAppFee**(`address`, `chainId`): `object`

Retrieves fee details for a native application based on the given blockchain address and chain ID.

### Parameters

#### address

\`0x${string}\`

The application fee contract address to read the fee information from.

#### chainId

`number`

The chainid to read from.

### Returns

`object`

#### feeH1

> **feeH1**: `undefined` | `bigint`

The current fee in the native currency (H1).

#### feeUsd

> **feeUsd**: `undefined` | `bigint`

The current fee in USD equivalent value.

#### h1Usd

> **h1Usd**: `undefined` | `bigint`

The calculated conversion rate of the native currency to USD. Returns undefined if necessary data is unavailable.

### Defined in

[packages/wagmi/src/contract/NativeAppFee.tsx:9](https://github.com/haven1network/haven1-sdk/blob/df6267fec7b75040411529269f9c6a88e9c756ee/packages/wagmi/src/contract/NativeAppFee.tsx#L9)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.haven1.org/build/developer-tools/haven1-sdk/haven1-wagmi-sdk/contract-module/nativeappfee.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
